Subject: RE: [Bridge-mib] FW: Please review and comment: draft-ietf-ops-vl anid-tc-mib-00.tx t

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sun, 15 Feb 2004 23:41:06 +0100

Juergen responds to me:

> Bert> MMm... if we look at for example DateAndTime TC, does that not
> Bert> give similar semantics in the name? I am sure there are many
> Bert> others that do so too.
> 
> I do not think this is a good comparison, especially since the
> DateAndTime definition does not speel out a NULL value and people
> frequently use a string will all 0s which is not really consistent
> with the TC definition which requires a value unequal to 0 for the
> month and day fields.
> 
Mmm...

> I think Tom was more pointing into the direction of
> InterfaceIndexOrZero where Zero basically indicates that there is a
> special value but its semantics must be specified in the description
> of the object using that TC. If you are very precise how the special
> value (or values) are going to be used, then you will end up with
> many TCs.
> 
> So, let me play devils advocate: Can someone summarize why we already
> have VlanIdOrAny plus VlanIdOrNone and why VlanIdOrZero is not good
> enough?
> 
Well, in the case of InterfaceIndexOrZero a ..OrZero seem logical because
it is the interface number or zero. 
In the case of VlanIdOrNone, to me it makes sense because it is an
identifiere or no identifier (none). But I could live with VlanIdOrNone.

The VlanIdOrAny, I figured was needed because I believe I did see people
use such a thing (as a straight Integer32).. but I'd have to go search for
it again.

Unfortunately, only a few (like 5 or so) people have expressed an opinion.
Form that set, I believe 3 agree with the VlanIdOrAny.
I also got one private email which expressed the usefulness of such a TC.

So... I do not call that consensus becuase of the very low number of
people who had an opinion. Nevertheless, for now I have added the TC
to a new rev of the document. Which I will be posting before the deadline.

Bert
> /js
> 
> -- 
> Juergen Schoenwaelder		    International University Bremen
> <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> 28725 Bremen, Germany
> 

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib